Upstream information

CVE-2014-1894 at MITRE

Description

Multiple integer overflows in unspecified suboperations in the flask hypercall in Xen 3.2.x and earlier, when XSM is enabled, allow local users to cause a denial of service (processor fault) via unspecified vectors, a different vulnerability than CVE-2014-1891, CVE-2014-1892, and CVE-2014-1893.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.2
Vector AV:A/AC:M/Au:S/C:N/I:N/A:C
Access Vector Adjacent Network
Access Complexity Medium
Authentication Single
Confidentiality Impact None
Integrity Impact None
Availability Impact Complete
SUSE Bugzilla entry: 860163 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • xen >= 4.2.4_02-0.7.1
  • xen-devel >= 4.2.4_02-0.7.1
  • xen-doc-html >= 4.2.4_02-0.7.1
  • xen-doc-pdf >= 4.2.4_02-0.7.1
  • xen-kmp-default >= 4.2.4_02_3.0.101_0.15-0.7.1
  • xen-kmp-pae >= 4.2.4_02_3.0.101_0.15-0.7.1
  • xen-libs >= 4.2.4_02-0.7.1
  • xen-libs-32bit >= 4.2.4_02-0.7.1
  • xen-tools >= 4.2.4_02-0.7.1
  • xen-tools-domU >= 4.2.4_02-0.7.1
Patchnames:
sdksp3-xen-201402
sledsp3-xen-201402
SUSE Linux Enterprise Server 11 SP1-LTSS
  • xen >= 4.0.3_21548_16-0.5.1
  • xen-doc-html >= 4.0.3_21548_16-0.5.1
  • xen-doc-pdf >= 4.0.3_21548_16-0.5.1
  • xen-kmp-default >= 4.0.3_21548_16_2.6.32.59_0.9-0.5.1
  • xen-kmp-pae >= 4.0.3_21548_16_2.6.32.59_0.9-0.5.1
  • xen-kmp-trace >= 4.0.3_21548_16_2.6.32.59_0.9-0.5.1
  • xen-libs >= 4.0.3_21548_16-0.5.1
  • xen-tools >= 4.0.3_21548_16-0.5.1
  • xen-tools-domU >= 4.0.3_21548_16-0.5.1
Patchnames:
slessp1-xen-201402
SUSE Linux Enterprise Server 11 SP2-LTSS
  • xen >= 4.1.6_06-0.5.1
  • xen-devel >= 4.1.6_06-0.5.1
  • xen-doc-html >= 4.1.6_06-0.5.1
  • xen-doc-pdf >= 4.1.6_06-0.5.1
  • xen-kmp-default >= 4.1.6_06_3.0.101_0.7.17-0.5.1
  • xen-kmp-pae >= 4.1.6_06_3.0.101_0.7.17-0.5.1
  • xen-kmp-trace >= 4.1.6_06_3.0.101_0.7.17-0.5.1
  • xen-libs >= 4.1.6_06-0.5.1
  • xen-libs-32bit >= 4.1.6_06-0.5.1
  • xen-tools >= 4.1.6_06-0.5.1
  • xen-tools-domU >= 4.1.6_06-0.5.1
Patchnames:
slessp2-xen-201402
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • xen >= 4.2.4_02-0.7.1
  • xen-devel >= 4.2.4_02-0.7.1
  • xen-doc-html >= 4.2.4_02-0.7.1
  • xen-doc-pdf >= 4.2.4_02-0.7.1
  • xen-kmp-default >= 4.2.4_02_3.0.101_0.15-0.7.1
  • xen-kmp-pae >= 4.2.4_02_3.0.101_0.15-0.7.1
  • xen-libs >= 4.2.4_02-0.7.1
  • xen-libs-32bit >= 4.2.4_02-0.7.1
  • xen-tools >= 4.2.4_02-0.7.1
  • xen-tools-domU >= 4.2.4_02-0.7.1
Patchnames:
sdksp3-xen-201402
slessp3-xen-201402
SUSE Linux Enterprise Software Development Kit 11 SP3
  • xen-devel >= 4.2.4_02-0.7.1
Patchnames:
sdksp3-xen-201402


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 xen Released
SUSE Linux Enterprise Desktop 11 SP2 xen Released
SUSE Linux Enterprise Desktop 11 SP3 xen Released
SUSE Linux Enterprise Server 11 SP1 xen Released
SUSE Linux Enterprise Server 11 SP1 LTSS xen Released
SUSE Linux Enterprise Server 11 SP2 xen Released
SUSE Linux Enterprise Server 11 SP2 LTSS xen Released
SUSE Linux Enterprise Server 11 SP3 xen Released
SUSE Linux Enterprise Server 11 SP3-LTSS xen Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP1 xen Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 xen Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 xen Released
SUSE Linux Enterprise Server for SAP Business All-in-One 11 SP1 xen Released
SUSE Linux Enterprise Software Development Kit 11 SP1 xen Released
SUSE Linux Enterprise Software Development Kit 11 SP2 xen Released
SUSE Linux Enterprise Software Development Kit 11 SP3 xen Released


SUSE Timeline for this CVE

CVE page created: Mon Feb 10 14:15:34 2014
CVE page last modified: Tue Nov 29 12:53:29 2022